### Hierarchy

- unknown
  - GetPaymentMethodsReply

## Index

### Constructors

- constructor

### Methods

- addPaymentMethods
- clearPaymentMethodsList
- getPaymentMethodsList
- serializeBinary
- setPaymentMethodsList
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetPaymentMethodsReply(): GetPaymentMethodsReply

- Inherited from jspb.Message.constructor

  #### Returns GetPaymentMethodsReply

## Methods

### addPaymentMethods

- addPaymentMethods(value?: PaymentMethod, index?: number): PaymentMethod

- - Defined in src/protobuf/grpc_pb.d.ts:1823

  #### Parameters

  - ##### Optional value: PaymentMethod

  - ##### Optional index: number

  #### Returns PaymentMethod

### clearPaymentMethodsList

- clearPaymentMethodsList(): GetPaymentMethodsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1822

  #### Returns GetPaymentMethodsReply

### getPaymentMethodsList

- getPaymentMethodsList(): PaymentMethod []

- - Defined in src/protobuf/grpc_pb.d.ts:1820

  #### Returns PaymentMethod []

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1825

  #### Returns Uint8Array

### setPaymentMethodsList

- setPaymentMethodsList(value: PaymentMethod []): GetPaymentMethodsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1821

  #### Parameters

  - ##### value: PaymentMethod []

  #### Returns GetPaymentMethodsReply

### toObject

- toObject(includeInstance?: boolean): GetPaymentMethodsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1826

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetPaymentMethodsReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetPaymentMethodsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1829

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetPaymentMethodsReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetPaymentMethodsReply, reader: BinaryReader): GetPaymentMethodsReply

- - Defined in src/protobuf/grpc_pb.d.ts:1830

  #### Parameters

  - ##### message: GetPaymentMethodsReply

  - ##### reader: BinaryReader

  #### Returns GetPaymentMethodsReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetPaymentMethodsReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1828

  #### Parameters

  - ##### message: GetPaymentMethodsReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetPaymentMethodsReply ): GetPaymentMethodsReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1827

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetPaymentMethodsReply

  #### Returns GetPaymentMethodsReply . AsObject

Generated using TypeDoc